<?php
if (!defined("ADMIN_FILE") || !is_admin_modul('pages')) die('Illegal File Access');
include('config/config_pages.php');
get_lang('pages');

function page_navi() {
	global $prefix, $db, $admin_file;
	list($count) = $db->sql_fetchrow($db->sql_query("SELECT Count(id) FROM ".$prefix."_pages WHERE status='0'"));
	panel();
	open();
	echo '<h1>'._PAGES.'</h1><h5>[ <a href="'.$admin_file.'.php?op=pages">'._HOME.'</a> | <a href="'.$admin_file.'.php?op=page_add">'._ADD.'</a> | <a href="'.$admin_file.'.php?op=pages&status=1">'._NEWPAGES.'</a> ('.intval($count).') | <a href="'.$admin_file.'.php?op=page_conf">'._PREFERENCES.'</a> ]</h5>';
	close();
}

function page() {
	global $prefix, $db, $admin_file, $conf, $confu;
	head();
	page_navi();
	$num = isset($_GET['num']) ? intval($_GET['num']) : 1;
	$offset = ($num - 1) * $conf['anum'];
	$offset = intval($offset);
	if ($_GET['status'] == 1) {
		$status = 0;
		$field = 'op=pages&status=1&';
		$refer = '&refer=1';
	} else {
		$status = 1;
		$field = 'op=pages&';
		$refer = '';
	}
	$result = $db->sql_query("SELECT p.id, p.name, p.title, p.time, p.ip_sender, t.id, t.title, u.user_name FROM ".$prefix."_pages AS p LEFT JOIN ".$prefix."_categories AS t ON (p.cid=t.id) LEFT JOIN ".$prefix."_users AS u ON (p.uid=u.user_id) WHERE status='".$status."' ORDER BY time DESC LIMIT ".$offset.", ".$conf['anum']);
	if ($db->sql_numrows($result) > 0) {
		open();
		echo '<table width="100%" border="0" cellpadding="3" cellspacing="1" class="sort" id="sort_id"><tr><th>'._ID.'</th><th>'._TITLE.'</th><th>'._IP.'</th><th>'._POSTEDBY.'</th><th>'._FUNCTIONS.'</th></tr>';
		while (list($pid, $uname, $title, $time, $ip_sender, $cid, $ctitle, $user_name) = $db->sql_fetchrow($result)) {
			$ctitle = ($cid) ? $ctitle : _NO;
			$post = ($user_name) ? user_info($user_name, 1) : (($uname) ? $uname : $confu['anonym']);
			$ad_view = ($status) ? ad_view(view_article('pages', $pid)) : '';
			echo '<tr class="bgcolor1"><td align="center">'.$pid.'</td><td class="help" OnMouseOver="Tip(\''._CATEGORY.': '.$ctitle.'<br />'._DATE.': '.$time.'\')">'.$title.'</td><td>'.user_geo_ip($ip_sender, 4).'</td><td align="center">'.$post.'</td><td align="center">'.$ad_view.' '.ad_edit($admin_file.'.php?op=page_add&id='.$pid).' '.ad_delete($admin_file.'.php?op=page_delete&id='.$pid.$refer, $title).'</td></tr>';
		}
		echo '</table>';
		close();
		num_article('pages', $conf['anum'], $field, 'id', '_pages', 'cid', "status='".$status."'");
	} else {
		warning(_NO_INFO, '', '', 2);
	}
	foot();
}

function page_add() {
	global $prefix, $db, $admin_file, $confp, $confu, $stop;
	if (isset($_REQUEST['id'])) {
		$pid = intval($_REQUEST['id']);
		$result = $db->sql_query("SELECT p.cid, p.name, p.title, p.time, p.hometext, p.acomm, p.status, u.user_name FROM ".$prefix."_pages AS p LEFT JOIN ".$prefix."_users AS u ON (p.uid=u.user_id) WHERE id='$pid'");
		list($cat, $uname, $subject, $time, $hometext, $acomm, $status, $user_name) = $db->sql_fetchrow($result);
		$postname = ($user_name) ? $user_name : (($uname) ? $uname : $confu['anonym']);
	} else {
		$pid = $_POST['pid'];
		$status = intval($_POST['status']);
		$postname = $_POST['postname'];
		$subject = text_filter($_POST['subject']);
		$cat = $_POST['cat'];
		$hometext = save_text($_POST['hometext'], $confp['redaktor']);
		$time = save_datetime(1, "time");
		$acomm = $_POST['acomm'];
	}
	head();
	page_navi();
	if ($stop) warning($stop, '', '', 1);
	if ($_POST['posttype'] == 'preview') preview($subject, html_entity_decode($hometext), '', '', 'pages');
	warning(_PAGENOTE, '', '', 2);
	open();
	echo '<form name="post" action="'.$admin_file.'.php" method="post">'
	.'<div class="left">'._POSTEDBY.':</div><div class="center">'.get_user_search('postname', $postname, 25, 65, 400).'</div>'
	.'<div class="left">'._TITLE.':</div><div class="center"><input type="text" name="subject" value="'.$subject.'" maxlength="80" size="65" class="admin"></div>'
	.'<div class="left">'._CATEGORY.':</div><div class="center"><select name="cat" class="admin">'.getcat('pages', $cat).'</select></div>'
	.'<div class="left">'._TEXT.':</div><div class="center">'.textarea(1, 'hometext', replace_break($hometext, $confp['redaktor']), 'pages', 25, $confp['redaktor']).'</div>'
	.'<div class="left">'._CHNGSTORY.':</div><div class="center" style="white-space: nowrap;">'.datetime(1, $time).'</div>'
	.'<div class="left">'._C_16.'</div><div class="center">'.radio_form($acomm, 'acomm').'</div>'
	.'<div class="left">'._FUNCTIONS.'</div><div class="center"><select name="posttype" class="admin"><option value="preview">'._PREVIEW.'</option><option value="save">'._SAVE.'</option></select></div>'
	.'<div class="button"><input type="hidden" name="status" value="'.$status.'"><input type="hidden" name="pid" value="'.$pid.'"><input type="hidden" name="op" value="page_save"><input type="submit" value="'._SEND.'" class="fbutton"></div></form>';
	close();
	foot();
}

function page_save() {
	global $prefix, $db, $admin_file, $confp, $stop;
	$pid = intval($_POST['pid']);
	$cat = $_POST['cat'];
	$status = intval($_POST['status']);
	$postname = $_POST['postname'];
	$subject = text_filter($_POST['subject']);
	$hometext = save_text($_POST['hometext'], $confp['redaktor']);
	$acomm = $_POST['acomm'];
	$time = save_datetime();
	if (!$subject) $stop = _CERROR;
	if (!$hometext) $stop = _CERROR1;
	if (!$postname) $stop = _CERROR3;
	if (!$stop && $_POST['posttype'] == 'save') {
		$postid = (is_user_id($postname)) ? is_user_id($postname) : 0;
		$postname = (!is_user_id($postname)) ? text_filter(mb_substr($postname, 0, 25)) : '';
		if ($pid) {
			$db->sql_query("UPDATE ".$prefix."_pages SET cid='$cat', uid='$postid', name='$postname', title='$subject', time='$time', hometext='$hometext', acomm='$acomm', status='1' WHERE id='$pid'");
			if (!$status && intval($postid)) update_points(9, $postid);
		} else {
			$ip = getip();
			$db->sql_query("INSERT INTO ".$prefix."_pages (id, cid, uid, name, title, hometext, time, comments, counter, acomm, score, ratings, ip_sender, status) VALUES (NULL, '$cat', '$postid', '$postname', '$subject', '$hometext', '$time', '0', '0', '$acomm', '0', '0', '$ip', '1')");
		}
		header('Location: '.$admin_file.'.php?op=pages');
	} else {
		page_add();
	}
}

function page_conf() {
	global $prefix, $db, $admin_file, $confp;
	head();
	page_navi();
	$permtest = end_chmod('config/config_pages.php', 666);
	if ($permtest) warning($permtest, '', '', 1);
	open();
	echo '<form name="post" action="".$admin_file.".php" method="post"><h2>'._GENSITEINFO.'</h2>'
	.'<div class="left">'._C_10.':</div><div class="center"><input type="text" name="col" value="'.$confp['col'].'" maxlength="25" size="45" class="admin"></div>'
	.'<div class="left">'._C_12.':</div><div class="center"><input type="text" name="num" value="'.$confp['num'].'" maxlength="25" size="45" class="admin"></div>'
	.'<div class="left">'._C_13.':</div><div class="center"><input type="text" name="listnum" value="'.$confp['listnum'].'" maxlength="25" size="45" class="admin"></div>'
	.'<div class="left">'._PAGELINKNUM.':</div><div class="center"><input type="text" name="linknum" value="'.$confp['linknum'].'" maxlength="25" size="45" class="admin"></div>'
	.'<div class="left">'._MINWORDS.':</div><div class="center"><input type="text" name="minwords" value="'.$confp['minwords'].'" maxlength="25" size="45" class="admin"></div>'
	.'<div class="left">'._MAXLINKS.':</div><div class="center"><input type="text" name="maxlinks" value="'.$confp['maxlinks'].'" maxlength="25" size="45" class="admin"></div>'
	.'<div class="left">'._PAGEWORDS.':</div><div class="center"><input type="text" name="numwords" value="'.$confp['numwords'].'" maxlength="25" size="65" class="admin"></div>'
	.'<div class="left">'._REDAKTOR.':</div><div class="center"><select name="redaktor" class="admin"><option value="0"';
	if ($confp['redaktor'] == 0) echo ' selected';
	echo '>'._NO.'</option><option value="1"';
	if ($confp['redaktor'] == 1) echo ' selected';
	echo '>'._REDAKTOR_BB.'</option><option value="2"';
	if ($confp['redaktor'] == 2) echo ' selected';
	echo '>'._REDAKTOR_HTML.' TinyMCE</option></select></div>'
	.'<div class="left">'._PAGEADD.'</div><div class="center">'.radio_form($confp['add'], 'add').'</div>'
	.'<div class="left">'._PAGEADDG.'</div><div class="center">'.radio_form($confp['addquest'], 'addquest').'</div>'
	.'<div class="left">'._USE_REDIRECT.'</div><div class="center">'.radio_form($confp['redirect'], 'redirect').'</div>'
	.'<div class="left">'._PAGELINK.'</div><div class="center">'.radio_form($confp['link'], 'link').'</div>'
	.'<div class="left">'._C_15.'</div><div class="center">'.radio_form($confp['sub'], 'sub').'</div>'
	.'<div class="left">'._C_17.'</div><div class="center">'.radio_form($confp['date'], 'date').'</div>'
	.'<div class="left">'._C_18.'</div><div class="center">'.radio_form($confp['read'], 'read').'</div>'
	.'<div class="left">'._C_19.'</div><div class="center">'.radio_form($confp['rate'], 'rate').'</div>'
	.'<div class="left">'._C_20.'</div><div class="center">'.radio_form($confp['letter'], 'letter').'</div>'
	.'<div class="left">'._C_32.'</div><div class="center">'.radio_form($confp['catdesc'], 'catdesc').'</div>'
	.'<div class="button"><input type="hidden" name="op" value="page_conf_save"><input type="submit" value="'._SAVECHANGES.'" class="fbutton"></div></form>';
	close();
	foot();
}

function page_conf_save() {
	global $admin_file;
	$content = "\$confp = array();\n"
	."\$confp['col'] = \"".$_POST['col']."\";\n"
	."\$confp['num'] = \"".$_POST['num']."\";\n"
	."\$confp['listnum'] = \"".$_POST['listnum']."\";\n"
	."\$confp['linknum'] = \"".$_POST['linknum']."\";\n"
	."\$confp['minwords'] = \"".$_POST['minwords']."\";\n"
	."\$confp['maxlinks'] = \"".$_POST['maxlinks']."\";\n"
	."\$confp['numwords'] = \"".$_POST['numwords']."\";\n"
	."\$confp['redaktor'] = \"".$_POST['redaktor']."\";\n"
	."\$confp['link'] = \"".$_POST['link']."\";\n"
	."\$confp['add'] = \"".$_POST['add']."\";\n"
	."\$confp['addquest'] = \"".$_POST['addquest']."\";\n"
	."\$confp['redirect'] = \"".$_POST['redirect']."\";\n"
	."\$confp['sub'] = \"".$_POST['sub']."\";\n"
	."\$confp['date'] = \"".$_POST['date']."\";\n"
	."\$confp['read'] = \"".$_POST['read']."\";\n"
	."\$confp['rate'] = \"".$_POST['rate']."\";\n"
	."\$confp['letter'] = \"".$_POST['letter']."\";\n"
	."\$confp['catdesc'] = \"".$_POST['catdesc']."\";\n";
	save_conf('config/config_pages.php', $content);
	header('Location: '.$admin_file.'.php?op=page_conf');
}

switch($op) {
	case 'pages':
	page();
	break;
	
	case 'page_add':
	page_add();
	break;
	
	case 'page_save':
	page_save();
	break;
	
	case 'page_delete':
	$db->sql_query("DELETE FROM ".$prefix."_pages WHERE id='".$id."'");
	$db->sql_query("DELETE FROM ".$prefix."_comment WHERE cid='".$id."' AND modul='pages'");
	referer($admin_file.'.php?op=pages');
	break;
	
	case 'page_conf':
	page_conf();
	break;
	
	case 'page_conf_save':
	page_conf_save();
	break;
}
?>